# Class default

Base element to the application tools panel.

Include the style for the header.

Example:

       import {html, css} from 'lit';
       import {customElement} from 'lit/decorators.js';

       // @ts-ignore
       @customElement('my-panel')
       export default class MyToolPanel extent (window as any).gmfapi.elements.ToolPanelElement {
         static styles = [
           ...(window as any).gmfapi.elements.ToolPanelElement.styles,
           css`...`
         ];

         render(): TemplateResult {
           return html`${this.getTitle(i18next.t('Title'))}
             your template`
         }
       }

#### Hierarchy

- default
  - default

- Defined in src/lidar/PanelElement.ts:52

#####
Index

### Constructors

constructor

### Properties

bootstrapStyle
bootstrapVarStyle
commonStyle
fontawesomeStyle
resetStyle
styles

### Methods

clearAll
clearMeasure
connectedCallback
csvExport
disconnectedCallback
getAvailablePointAttributes
getClassification
getTitle
initConfig
initSubscribe
mozRequestFullScreen
mozRequestFullScreenWithKeys
msRequestFullscreen
pngExport
resetPlot
selectPointAttribute
setClassification
setMeasureActive
setSelectedPointAttribute
toggleDrawLine
toggleVisibility
webkitRequestFullscreen

## Constructors

### constructor

- new default(): default

- #### Returns default

  Inherited from default.constructor

  - Defined in node_modules/@lit/reactive-element/reactive-element.d.ts:487

## Properties

### `Static` bootstrapStyle

bootstrapStyle: CSSResult = ...

Inherited from default.bootstrapStyle

- Defined in srcapi/elements/BaseElement.ts:73

### `Static` bootstrapVarStyle

bootstrapVarStyle: CSSResult = ...

Inherited from default.bootstrapVarStyle

- Defined in srcapi/elements/BaseElement.ts:82

### `Static` commonStyle

commonStyle: CSSResult = ...

Inherited from default.commonStyle

- Defined in srcapi/elements/BaseElement.ts:112

### `Static` fontawesomeStyle

fontawesomeStyle: CSSResult = ...

Inherited from default.fontawesomeStyle

- Defined in srcapi/elements/BaseElement.ts:76

### `Static` resetStyle

resetStyle: CSSResult = ...

Inherited from default.resetStyle

- Defined in srcapi/elements/BaseElement.ts:70

### `Static` styles

styles: CSSResult[] = ...

Overrides default.styles

- Defined in src/lidar/PanelElement.ts:124

## Methods

### clearAll

- clearAll(): void

- Clear the LIDAR profile tool.

  #### Returns void

  - Defined in src/lidar/PanelElement.ts:327

### clearMeasure

- clearMeasure(): void

- Clear the current measure

  #### Returns void

  - Defined in src/lidar/PanelElement.ts:350

### connectedCallback

- connectedCallback(): void

- #### Returns void

  Overrides default.connectedCallback

  - Defined in src/lidar/PanelElement.ts:67

### csvExport

- csvExport(): void

- Export the profile data to CSV file

  #### Returns void

  - Defined in src/lidar/PanelElement.ts:423

### disconnectedCallback

- disconnectedCallback(): void

- #### Returns void

  Inherited from default.disconnectedCallback

  - Defined in srcapi/elements/BaseElement.ts:166

### getAvailablePointAttributes

- getAvailablePointAttributes(): LidarprofileServerConfigPointAttributes[]

- Get all available point attributes.

  ### Returns

  Available point attributes.

  #### Returns LidarprofileServerConfigPointAttributes[]

  - Defined in src/lidar/PanelElement.ts:372

### getClassification

- getClassification(): LidarprofileServerConfigClassifications

- Get the available classifications for this dataset

  ### Returns

  classification list

  #### Returns LidarprofileServerConfigClassifications

  - Defined in src/lidar/PanelElement.ts:391

### getTitle

- getTitle(panelName: string): TemplateResult<ResultType>

- #### Parameters

  - ##### panelName: string

  #### Returns TemplateResult<ResultType>

  Inherited from default.getTitle

  - Defined in srcapi/elements/ToolPanelElement.ts:66

### initConfig

- initConfig(configuration: Configuration): void

- #### Parameters

  - ##### configuration: Configuration

  #### Returns void

  Overrides ToolPanelElement.initConfig

  - Defined in src/lidar/PanelElement.ts:118

### initSubscribe

- initSubscribe(): void

- #### Returns void

  - Defined in src/lidar/PanelElement.ts:73

### mozRequestFullScreen

- mozRequestFullScreen(): Promise<void>

- #### Returns Promise<void>

  Inherited from default.mozRequestFullScreen

  - Defined in types/dom.d.ts:25

### mozRequestFullScreenWithKeys

- mozRequestFullScreenWithKeys(): Promise<void>

- #### Returns Promise<void>

  Inherited from default.mozRequestFullScreenWithKeys

  - Defined in types/dom.d.ts:26

### msRequestFullscreen

- msRequestFullscreen(): Promise<void>

- #### Returns Promise<void>

  Inherited from default.msRequestFullscreen

  - Defined in types/dom.d.ts:27

### pngExport

- pngExport(): void

- Export the current d3 chart to PNG file

  #### Returns void

  - Defined in src/lidar/PanelElement.ts:438

### resetPlot

- resetPlot(): void

- Reload and reset the plot for the current profile (reloads data)

  #### Returns void

  - Defined in src/lidar/PanelElement.ts:360

### selectPointAttribute

- selectPointAttribute(): void

- Set visible the selected point attribute option

  #### Returns void

  - Defined in src/lidar/PanelElement.ts:268

### setClassification

- setClassification(classification: LidarprofileServerConfigClassification, key: number): void

- Sets the visible classification in the profile

  #### Parameters

  - ##### classification: LidarprofileServerConfigClassification

    selected value.

  - ##### key: number

    of the classification code.

  #### Returns void

  - Defined in src/lidar/PanelElement.ts:404

### setMeasureActive

- setMeasureActive(): void

- Activate the measure tool

  #### Returns void

  - Defined in src/lidar/PanelElement.ts:339

### setSelectedPointAttribute

- setSelectedPointAttribute(selectedPointAttribute: LidarprofileServerConfigPointAttribute): void

- Set the selected point attribute

  #### Parameters

  - ##### selectedPointAttribute: LidarprofileServerConfigPointAttribute

    The new selected point attribute.

  #### Returns void

  - Defined in src/lidar/PanelElement.ts:381

### toggleDrawLine

- toggleDrawLine(): void

- Toggle the drawLine component status and set the correct class for the toggle button.

  #### Returns void

  - Defined in src/lidar/PanelElement.ts:245

### toggleVisibility

- toggleVisibility(classification: LidarprofileServerConfigClassification, key: string): void

- Toggle visibility of the selected classification object.

  #### Parameters

  - ##### classification: LidarprofileServerConfigClassification

    The classification to change visibility.

  - ##### key: string

    The key string of the toggled classification.

  #### Returns void

  - Defined in src/lidar/PanelElement.ts:260

### webkitRequestFullscreen

- webkitRequestFullscreen(allowKeyboardInput?: number): Promise<void>

- #### Parameters

  - ##### `Optional` allowKeyboardInput: number

  #### Returns Promise<void>

  Inherited from default.webkitRequestFullscreen

  - Defined in types/dom.d.ts:28

Generated using TypeDoc